<?php
/**
 * @file
 * Theme related functions for the Chessboard Renderer module.
 */

function template_preprocess_chessboard(&$variables) {
  static $tables_xhtml = array();

  $image_directory_path = $variables['element']['#image_directory_path'];
  if (!isset($tables_xhtml[$image_directory_path])) {
    foreach($variables['element']['#table_tiles'] as $code => $tile) {
      $tables_xhtml[$image_directory_path][$code] = drupal_render($tile);
    }
  }
  $variables['table_xhtml'] = $tables_xhtml[$image_directory_path];
  // For convenience.
  $variables['file_max'] = $variables['element']['#file_max'];
  $variables['square_color_first'] = $variables['element']['#square_color_first'];
  $variables['border'] = $variables['element']['#border'];
  $variables['board'] = $variables['element']['#board'];
}

/**
 *  Returns HTML for an image.
 *
 * @param $element
 *    An associative array containing:
 *    - #path
 *    - #width
 *    - #height
 *    - #alt
 *    - #title
 *    - #attributes
 *
 * @ingroup themable
 */
function theme_chessboard_image($element) {
  $element += array(
    '#path' => NULL,
    '#width' => NULL,
    '#height' => NULL,
    '#alt' => '',
    '#title' => NULL,
    '#attributes' => array(),
  );
  $path = $element['#path'];
  $width = $element['#width'];
  $height = $element['#height'];
  $alt = $element['#alt'];
  $title = $element['#title'];
  $attributes = array('width' => $width, 'height' => $height) + $element['#attributes'];
  $getsize = FALSE;
  return strtr(theme('image', $path, $alt, $title, $attributes, $getsize), array('"  ' => '" '));
}
